List saved record views
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/record-views \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/record-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/record-views"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"views": [
{
"id": "<string>",
"webhook_id": "<string>",
"name": "<string>",
"columns": [
{
"key": "<string>",
"label": "<string>"
}
],
"sort_key": "<string>",
"sort_dir": "asc",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Record views
List saved record views
Top-level alias: GET /admin/api/record-views. Readable by any role.
GET
/
admin
/
api
/
projects
/
{pid}
/
record-views
List saved record views
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{pid}/record-views \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{pid}/record-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{pid}/record-views"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"views": [
{
"id": "<string>",
"webhook_id": "<string>",
"name": "<string>",
"columns": [
{
"key": "<string>",
"label": "<string>"
}
],
"sort_key": "<string>",
"sort_dir": "asc",
"is_default": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Project id (UUID) belonging to the caller workspace.
Query Parameters
Restrict to views of one webhook.
Response
Views in the project, default view first then oldest first. Field names here are snake_case (unlike the create/update responses).
Show child attributes
Show child attributes